socket = require("socket")

-- The address and port of the server
local strAddress, intPort = "localhost", 12345

-- Array with received messagews
local Messages = {}

function love.load()
	-- Initialize socket
	udp = socket.udp()
	udp:settimeout(0)
	udp:setpeername(strAddress, intPort)
end

function love.update(dt)

	repeat
		-- Receive data from server
		local data = udp:receive()

		-- Insert any incoming data into the Messages table
		if data then

			table.insert(Messages, data)

		end

	until not data

end

function love.draw()

	-- Print all strings in the messages table onto the screen
	for i=1, #Messages do

		love.graphics.print(Messages[i], 10, 25 * i)

	end

end

function love.keypressed(key)
	-- If space is pressed, send string to server
	if key == "space" then

		udp:send("Hello, world!")

	end
end
